Show / Hide Table of Contents

# Struct MarkingController

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct MarkingController

### Fields

| Improve this Doc View Source

#### FieldMarkerArray

##### Declaration

    public byte *FieldMarkerArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### LetterMarkerArray

##### Declaration

    public uint *LetterMarkerArray

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### MarkerArray

##### Declaration

    public long *MarkerArray

##### Field Value

Type | Description
--- | ---
System.Int64* |

| Improve this Doc View Source

#### MarkerTimeArray

##### Declaration

    public long *MarkerTimeArray

##### Field Value

Type | Description
--- | ---
System.Int64* |

### Properties

| Improve this Doc View Source

#### FieldMarkerSpan

##### Declaration

    public readonly Span<FieldMarker> FieldMarkerSpan { get; }

##### Property Value

Type | Description
--- | ---
System.Span<FieldMarker> |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static MarkingController*Instance()

##### Returns

Type | Description
--- | ---
MarkingController* |